io.vertx.core

## Class Starter

- java.lang.Object
- - io.vertx.core.Starter

- Deprecated.
  Use `Launcher` instead

      @Deprecated
      public class Starter
      extends Object

  A `main()` class that can be used to create Vert.x instance and deploy a verticle, or run a bare Vert.x instance.

  This class is used by the `vertx` command line utility to deploy verticles from the command line.

  E.g.

  `vertx run myverticle.js`

  It can also be used as the main class of an executable jar so you can run verticles directly with:

  `java -jar myapp.jar`

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEPLOYMENT_OPTIONS_PROP_PREFIX` Deprecated.
    `protected DeploymentOptions` | `deploymentOptions` Deprecated.
    `static String` | `METRICS_OPTIONS_PROP_PREFIX` Deprecated.
    `protected VertxOptions` | `options` Deprecated.
    `static List<String>` | `PROCESS_ARGS` Deprecated.
    `protected Vertx` | `vertx` Deprecated.
    `static String` | `VERTX_OPTIONS_PROP_PREFIX` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Starter()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterStartingVertx()` Deprecated. Hook for sub classes of `Starter` after the vertx instance is started.
    `protected void` | `beforeDeployingVerticle(DeploymentOptions deploymentOptions)` Deprecated. Hook for sub classes of `Starter` before the verticle is deployed.
    `protected void` | `beforeStartingVertx(VertxOptions options)` Deprecated. Hook for sub classes of `Starter` before the vertx instance is started.
    `String` | `getVersion()` Deprecated.
    `protected void` | `handleDeployFailed()` Deprecated. A deployment failure has been encountered.
    `static void` | `main(String[] sargs)` Deprecated.
    `void` | `run(io.vertx.core.impl.Args args, String[] sargs)` Deprecated.
    `protected void` | `run(String commandLine)` Deprecated.
    `protected void` | `run(String[] sargs)` Deprecated.
    `static void` | `runCommandLine(String commandLine)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERTX_OPTIONS_PROP_PREFIX

          public static final String VERTX_OPTIONS_PROP_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEPLOYMENT_OPTIONS_PROP_PREFIX

          public static final String DEPLOYMENT_OPTIONS_PROP_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### METRICS_OPTIONS_PROP_PREFIX

          public static final String METRICS_OPTIONS_PROP_PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROCESS_ARGS

          public static List<String> PROCESS_ARGS

      Deprecated.

    - #### vertx

          protected Vertx vertx

      Deprecated.

    - #### options

          protected VertxOptions options

      Deprecated.

    - #### deploymentOptions

          protected DeploymentOptions deploymentOptions

      Deprecated.

  - ### Constructor Detail

    - #### Starter

          public Starter()

      Deprecated.

  - ### Method Detail

    - #### main

          public static void main(String[] sargs)

      Deprecated.

    - #### runCommandLine

          public static void runCommandLine(String commandLine)

      Deprecated.

    - #### run

          protected void run(String commandLine)

      Deprecated.

    - #### run

          protected void run(String[] sargs)

      Deprecated.

    - #### run

          public void run(io.vertx.core.impl.Args args,
                          String[] sargs)

      Deprecated.

    - #### beforeStartingVertx

          protected void beforeStartingVertx(VertxOptions options)

      Deprecated.
      Hook for sub classes of `Starter` before the vertx instance is started.

    - #### afterStartingVertx

          protected void afterStartingVertx()

      Deprecated.
      Hook for sub classes of `Starter` after the vertx instance is started.

    - #### beforeDeployingVerticle

          protected void beforeDeployingVerticle(DeploymentOptions deploymentOptions)

      Deprecated.
      Hook for sub classes of `Starter` before the verticle is deployed.

    - #### handleDeployFailed

          protected void handleDeployFailed()

      Deprecated.
      A deployment failure has been encountered. You can override this method to customize the behavior. By default it closes the `vertx` instance.

    - #### getVersion

          public String getVersion()

      Deprecated.

Copyright © 2021 Eclipse. All rights reserved.